Name:           eclipse-moreunit
Version:        3.2.1
Release:        1%{?dist}
Summary:        An Eclipse plugin that assists with writing more unit tests

License:        EPL-1.0
URL:            https://moreunit.github.io/MoreUnit-Eclipse/
Source0:        https://github.com/MoreUnit/MoreUnit-Eclipse/archive/v%{version}.tar.gz

BuildArch: noarch

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}

BuildRequires: eclipse-pde
BuildRequires: tycho
BuildRequires: mvn(org.codehaus.mojo:exec-maven-plugin)

%description
MoreUnit is an Eclipse plugin that should assist with writing more unit tests.
It can decorate classes which have testcase(s) and mark methods in the editor
which are under test.  Renaming/moving classes/methods will cause moreUnit to
rename/move the corresponding test code.  Generation of test method stubs is
also possible.

%prep
%setup -q -n MoreUnit-Eclipse-%{version}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
pushd org.moreunit.build
%pom_disable_module ../org.moreunit.test.dependencies
%pom_disable_module ../org.moreunit.core.test
%pom_disable_module ../org.moreunit.test
%pom_disable_module ../org.moreunit.mock.test
%pom_disable_module ../org.moreunit.swtbot.test
%pom_disable_module ../org.moreunit.mock.it
%pom_disable_module ../org.moreunit.updatesite
%pom_remove_plugin org.eclipse.tycho:target-platform-configuration
popd
%mvn_package "::jar:sources:"


%build
%mvn_build -j -f -- -f org.moreunit.build/pom.xml

%install
%mvn_install

%files -f .mfiles
%doc README.md

%changelog
* Mon Mar 18 2019 Mat Booth <mat.booth@redhat.com> - 3.2.1-1
- Update to latest upstream release
- Update license tag
- Restrict to same architectures as Eclipse itself

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jul 8 2016 Alexander Kurtakov <akurtako@redhat.com> 3.1.1-1
- Update to upstream 3.1.1 release.

* Thu Apr 28 2016 Mat Booth <mat.booth@redhat.com> - 3.1.0-2
- Allow building against Neon

* Sat Apr 02 2016 Alexander Kurtakov <akurtako@redhat.com> 3.1.0-1
- Update to upstream 3.1.0.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Feb 16 2015 Alexander Kurtakov <akurtako@redhat.com> 3.0.5-1
- Update to upstream 3.0.5.

* Fri Feb  6 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.0.4-5
- Rebuild to generate missing OSGi auto-requires

* Fri Dec 5 2014 Alexander Kurtakov <akurtako@redhat.com> 3.0.4-4
- Drop useless BR on feclipse-maven-plugin.

* Wed Dec 3 2014 Alexander Kurtakov <akurtako@redhat.com> 3.0.4-3
- Build with xmvn.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 24 2014 Alexander Kurtakov <akurtako@redhat.com> 3.0.4-1
- Update to 3.0.4 upstream release.

* Mon Nov 18 2013 Alexander Kurtakov <akurtako@redhat.com> 3.0.3-1
- Update to latest upstream release.
- Use xmvn -o instead of deprecated mvn-rpmbuild.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 23 2013 Alexander Kurtakov <akurtako@redhat.com> 3.0.2-1
- Update to upstream 3.0.2.

* Wed Mar 20 2013 Alexander Kurtakov <akurtako@redhat.com> 3.0.1-1
- Update to upstream 3.0.1.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 Alexander Kurtakov <akurtako@redhat.com> 2.4.6-1
- Update to 2.4.6 upstream release.

* Fri Apr 27 2012 Alexander Kurtakov <akurtako@redhat.com> 2.4.4-1
- Update to latest upstream.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Apr 4 2011 Alexander Kurtakov <akurtako@redhat.com> 2.4.1-1
- Update to upstream 2.4.1.

* Fri Feb 25 2011 Alexander Kurtakov <akurtako@redhat.com> 2.3.0-1
- Update to upstream version 2.3.0.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 22 2010 Severin Gehwolf <sgehwolf@redhat.com> 2.2.1-1
- Update to upstream version 2.2.1

* Tue Sep 21 2010 Severin Gehwolf <sgehwolf@redhat.com> 2.1.3-1
- Update to upstream version 2.1.3
- This will break eclipse-moreunit on Eclipse < 3.6
  because moreunit uses JUnit internals.

* Mon Jul 12 2010 Severin Gehwolf <sgehwolf@redhat.com> 2.0.1-1
- Update to new upstream version 2.0.1

* Sat Jun 5 2010 Alexander Kurtakov <akurtako@redhat.com> 1.3.3-3
- Use global instead of define.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 6 2009 Alexander Kurtakov <akurtako@redhat.com> 1.3.3-1
- Update to new upstream version 1.3.3.

* Tue Mar 24 2009 Alexander Kurtakov <akurtako@redhat.com> 1.3.2-1
- Update to new upstream version 1.3.2.

* Mon Mar 23 2009 Alexander Kurtakov <akurtako@redhat.com> 1.2.0-4
- Rebuild to not ship p2 context.xml.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 10 2009 Alexander Kurtakov <akurtako@redhat.com> 1.2.0-2
- More descriptive summary and description.

* Thu Jan 29 2009 Alexander Kurtakov <akurtako@redhat.com> 1.2.0-1
- Initial packaging
